%define rname m2300w

Summary:	Konica Minolta magicolor 2300W and 2400W Printer Driver
Name:		cups-drivers-%{rname}
Version:	0.51
Release:	%mkrel 19
License:	GPL
Group:		System/Printing
URL:		https://sourceforge.net/projects/m2300w/
Source0:	https://downloads.sourceforge.net/m2300w/%{rname}-%{version}.tar.gz
Patch0:		m2300w-0.3-noppdbuild.patch
Patch1:		m2300w-0.2-ppc-build-fix.patch
Patch2:		m2300w-0.51-LDFLAGS.diff
Requires:	foomatic-db-engine
Requires:	cups
Conflicts:	cups-drivers = 2007
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007
Conflicts:	foomatic-db < 1:3.0.2-1.20070820.1mdv2008.0

%description
The m2300w driver is a Linux printer driver for the Konica Minolta magicolor
2300W and 2400W color laser printers. It is intended for being used in
conjunction with ghostscript, foomatic and CUPS.

This package contains CUPS drivers (PPD) for the following printers:

 o Minolta magicolor 2300W
 o Minolta magicolor 2400W

%prep

%setup -q -n %{rname}-%{version}
%autopatch -p0

%build
rm -f configure
autoconf
%configure

# Omit the installation of the PPD in the Makefile, we use the Foomatic
# XML data
perl -p -i -e "s/src psfiles foomatic ppd/src psfiles/" Makefile
%make_build

%install
install -d %{buildroot}%{_datadir}/foomatic/db/source/{driver,opt,printer}
install -d %{buildroot}%{_datadir}/cups/model/%{rname}

%makeinstall INSTROOT=%{buildroot}

for dir in driver opt printer; do
    install -c -m 644 foomatic/$dir/*.xml %{buildroot}%{_datadir}/foomatic/db/source/$dir/
done

install -m0644 ppd/*.ppd %{buildroot}%{_datadir}/cups/model/%{rname}/

# cleanup
rm -rf %{buildroot}%{_datadir}/doc

%files
%doc COPYING INSTALL README README.ghostscript
%attr(0755,root,root) %{_bindir}/%{rname}
%attr(0755,root,root) %{_bindir}/%{rname}-wrapper
%attr(0755,root,root) %{_bindir}/m2400w
%{_datadir}/%{rname}
%attr(0644,root,root) %{_datadir}/foomatic/db/source/opt/*.xml
%attr(0644,root,root) %{_datadir}/foomatic/db/source/printer/*.xml
%attr(0644,root,root) %{_datadir}/foomatic/db/source/driver/*.xml
%attr(0755,root,root) %dir %{_datadir}/cups/model/%{rname}
%attr(0644,root,root) %{_datadir}/cups/model/%{rname}/magicolor_2300W-%{rname}.ppd*
%attr(0644,root,root) %{_datadir}/cups/model/%{rname}/magicolor_2400W-m2400w.ppd*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.51-19.mga10
+ Revision: 2195319
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 0.51-18.mga9
+ Revision: 1791816
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.51-17.mga8
+ Revision: 1511774
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.51-16.mga7
+ Revision: 1297362
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.51-15.mga6
+ Revision: 946123
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.51-14.mga5
+ Revision: 739190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.51-13.mga5
+ Revision: 678626
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.51-12.mga4
+ Revision: 503701
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.51-11.mga3
+ Revision: 348455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.51-10.mga3
+ Revision: 57717
- imported package cups-drivers-m2300w


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.51-10mdv2011.0
+ Revision: 603872
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.51-9mdv2010.1
+ Revision: 518844
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.51-8mdv2010.0
+ Revision: 413288
- rebuild

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0.51-7mdv2009.1
+ Revision: 318072
- rediffed one fuzzy patch
- use %%ldflags

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.51-6mdv2009.0
+ Revision: 220542
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.51-5mdv2008.1
+ Revision: 149150
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.51-4mdv2008.0
+ Revision: 76061
- Added conflicts to foomatic-db < 1:3.0.2-1.20070820.1mdv2008.0

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.51-3mdv2008.0
+ Revision: 75329
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.51-2mdv2008.0
+ Revision: 64150
- use the new System/Printing RPM GROUP

* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.51-1mdv2008.0
+ Revision: 62510
- Import cups-drivers-m2300w



* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.51-1mdv2008.0
- initial Mandriva package
